/*
    ================================================================================
    N-PUZZLE BOARD GAME
    Copyright (c) Jarmo Pietiläinen (a.k.a. z0b) 2008-2013
    http://z0b.kapsi.fi
    --------------------------------------------------------------------------------
    This program is free software; you can redistribute it and/or modify it
    under the terms of the GNU General Public License version 2.

    This program is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this program; if not, write to the Free Software Foundation, Inc., 51
    Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
    ================================================================================
*/

#ifndef _HYPERLINK_CONTROL_H
#define _HYPERLINK_CONTROL_H

namespace zHyperLink
{
    // you'll need this classname when creating the control
    static const wchar_t className[] = L"zHyperlinkClass";

    // command messages passed back to parent window procedure via WM_COMMAND
    // (msg==WM_COMMAND, wparam==<MESSAGE>, lparam==link control handle)
    enum
    {
        HCMD_CLICK      // user clicked the link
    };

    // register the class before using it
    bool registerClass();
}

#endif
