/*
    ================================================================================
    N-PUZZLE BOARD GAME
    Copyright (c) Jarmo Pietiläinen (a.k.a. z0b) 2008-2013
    http://z0b.kapsi.fi
    --------------------------------------------------------------------------------
    This program is free software; you can redistribute it and/or modify it
    under the terms of the GNU General Public License version 2.

    This program is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this program; if not, write to the Free Software Foundation, Inc., 51
    Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
    ================================================================================
*/

#ifndef _NPUZZLE_GUIDEFS_H
#define _NPUZZLE_GUIDEFS_H

#define IDM_MAINMENU 100
#define IDA_KEYS 101
#define IDC_MAINICON 102

// main menu
#define IDM_NEW 110
#define IDM_3X3 111
#define IDM_4X4 112
#define IDM_8X8 113
#define IDM_CUSTOM 114
//#define IDM_SCORES 115
#define IDM_PREFS 116
#define IDM_EXIT 117
#define IDM_HELP 118
#define IDM_ABOUT 119

// Preferences dialog
#define IDD_PREFS 1000
#define IDC_PREFS_FONTSAMPLE 1001
#define IDC_PREFS_CHOOSEFONT 1002
#define IDC_PREFS_TOP 9003
#define IDC_PREFS_TOPSPIN 1004
#define IDC_PREFS_LEFT 1005
#define IDC_PREFS_LEFTSPIN 1006
#define IDC_PREFS_BOTTOM 1007
#define IDC_PREFS_BOTTOMSPIN 1008
#define IDC_PREFS_RIGHT 1009
#define IDC_PREFS_RIGHTSPIN 1010
#define IDC_PREFS_HPAD 1011
#define IDC_PREFS_HPADSPIN 1012
#define IDC_PREFS_VPAD 1013
#define IDC_PREFS_VPADSPIN 1014
#define IDC_PREFS_TWEAK 1015
#define IDC_PREFS_TWEAKSPIN 1016
#define IDC_PREFS_BOARD 1017
#define IDC_PREFS_TILEHIGH 1018
#define IDC_PREFS_TILELOW 1019
#define IDC_PREFS_TILEBACK 1020
#define IDC_PREFS_TILEFORE 1021
#define IDC_PREFS_COLORSAMPLE 1022
#define IDC_PREFS_CHOOSECOLOR 1023
#define IDC_PREFS_PRESETS 1024
#define IDC_PREFS_RESET 1025

// customize board size
#define IDD_CUSTOMIZE 1200
#define IDC_CUSTOMIZE_H 1201
#define IDC_CUSTOMIZE_HSPIN 1202
#define IDC_CUSTOMIZE_W 1203
#define IDC_CUSTOMIZE_WSPIN 1204

// about
#define IDD_ABOUT 1300
#define IDC_ABOUT_ICON 1301
#define IDC_ABOUT_NAME 1302
#define IDC_ABOUT_AUTHOR 1303
#define IDC_ABOUT_EXE 1304
#define IDC_ABOUT_HOME 1305
#define IDC_ABOUT_LICENSE 1306

#endif
